/*

  This is a part of the Project Frontier's Source code.

  Copyright (C) 1997-98 Francis Gastellu
                    aka Lone Runner/Aegis

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#ifndef __DETECT_H
#define __DETECT_H


#ifdef __cplusplus
extern "C" {
#endif

	unsigned int OS2_GetVersion(void); 					// { Get OS/2 version # }
	unsigned int DV_GetVersion(void); 					// { update In_DV and get version # }
	void DV_Pause(void); 								// { give up time slice }
	void MT_Pause(void); 					 			// { give up time in most multitaskers }
	void KillTime(void); 								// { Release time in any situation }
	void DV_begin_Critical(void); 						// { don't slice away }
	void DV_end_Critical(void); 						// { allow slicing again }
	void DV_Sound(int freq, int dur); 					// { Create a Sound in the Bkg }
	void DetectOS(void);

#ifdef __cplusplus
}
#endif

	extern char In_DV, In_VM, In_OS2;

#endif
